Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 234797

Summary: Need default support for mute and WIFI button LEDs on HP dv1240us
Product: [Fedora] Fedora Reporter: Miles Lane <miles.lane>
Component: kernelAssignee: Jon Masters <jcm>
Status: CLOSED INSUFFICIENT_DATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: rawhide   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-04-03 06:59:16 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Miles Lane 2007-04-02 05:04:19 UTC
Description of problem:

I have a HP dv1240us with a mute button and a wifi kill switch button.
Each of these buttons have LEDs which do not work under FC7.  
In order to get them working, I have added:
    options snd-intel8x0 ac97_quirk=7
    options ipw2200 led=1
to /etc/modprobe.conf.
Also, to /etc/init.d/network, I added:
    echo 1 > /sys/bus/pci/drivers/ipw2200/0000\:01\:06.0/led

However, this is only partly working.
Under Ubuntu 7.04, these settings cause everything to work as expected.
I would like to either have code changes made in the intel8x0 and ipw2200 so
that these LEDs work without having to add these options, or I would like to see
these options added to the default modprobe.conf file.  These LEDs should "just
work" without user intervention.

Version-Release number of selected component (if applicable):

module-init-tools-3.3-0.pre11.1.0.fc7

How reproducible:

Always

Steps to Reproduce:
1. Boot.
2. Connect to a wireless access point
3. press on the Mute button.
  
Actual results:

There are additional bugs which I will be reporting.  Currently, the mute button
is completely unusable (this was true before adding the option).  Also, I am
unable to get the WIFI kill switch to work.  So, the WIFI LED does light up as a
result of adding the option to modprobe.conf and the line to
/etc/init.d/network, but I cannot turn the signal off by pressing the button.

Expected results:

I expect these two LEDs two automatically work, without having to diddle with
the configuration files.

Additional info:

Another bug I will be reporting is that the LED on the WIFI button flashes about
once every three seconds during the entire boot process.  This indicated an
initscripts bug in that no connection should be attempted until NetworkManager
takes over and establishes a connection.

Comment 1 Jon Masters 2007-08-20 06:07:56 UTC
I think this should either be fixed upstream, by changing the driver defaults,
or (at worst, and this is not a good idea) in the Fedora kernel. I'm not sure
this justifies yet another hack in module-init-tools.

Why can't the led option just default to on?

Jon.


Comment 2 Miles Lane 2008-04-03 11:58:32 UTC
Hey, what information is needed that you don't have?